petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCPFMG

the hypre PFMG multigrid solver

### Options Database

| -pc_pfmg_its <its> number of iterations of PFMG to use as preconditioner | - . -pc_pfmg_num_pre_relax <steps> number of smoothing steps before coarse grid
| -pc_pfmg_num_post_relax <steps> number of smoothing steps after coarse grid | - . -pc_pfmg_tol <tol> tolerance of PFMG
| -pc_pfmg_relax_type | - relaxation type for the up and down cycles, one of Jacobi,Weighted-Jacobi,symmetric-Red/Black-Gauss-Seidel,Red/Black-Gauss-Seidel
| -pc_pfmg_rap_type | - type of coarse matrix generation, one of Galerkin,non-Galerkin

### Notes

This is for CELL-centered descretizations

This must be used with the MATHYPRESTRUCT matrix type. This is less general than in hypre, it supports only one block per process defined by a PETSc DMDA.

### See Also

PCMG, MATHYPRESTRUCT

### Level

advanced

### Location

src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages